Name:          libwbxml2
Version:       0.11.8
Release:       2mamba
Summary:       wbxml2 library from the Synce project
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libwbxml/libwbxml
Source:        https://github.com/libwbxml/libwbxml.git/libwbxml-%{version}/libwbxml-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
## AUTOBUILDREQ-END

%description
wbxml2 library from the Synce project.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
wbxml2 library from the Synce project.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
wbxml2 library from the Synce project.
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q -n libwbxml-%{version}

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libwbxml2.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libwbxml-1.0
%dir %{_includedir}/libwbxml-1.0/wbxml
%{_includedir}/libwbxml-1.0/wbxml/*
%{_libdir}/libwbxml2.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/FindLibWbxml2.cmake
%dir %{_docdir}/libwbxml
%{_docdir}/libwbxml/*
%doc BUGS ChangeLog README THANKS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/wbxml2xml
%{_bindir}/xml2wbxml

%changelog
* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 0.11.8-2mamba
- automatic rebuild by autodist

* Sun Feb 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.8-1mamba
- update to 0.11.8

* Fri May 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2%2Bsvn49synce-1mamba
- package created by autospec
